Class | ::Bot::DataFilter
In: | lib/rbot/core/utils/filters.rb
Parent: | Object

The DataFilter class. A DataFilter is a wrapper around a block that can be run on a DataStream to process it. The block is supposed to return another DataStream object

### Methods

call filter new run

### Public Class methods

new(&block)

### Public Instance methods

call(stream)
filter(stream)

Alias for call

run(stream)

Alias for call

[Validate]